# CEIL or CEILING function

The CEIL and CEILING functions round the specified number up, and return the smallest number that is greater than or equal to the specified number.

The specified number must be a DOUBLE PRECISION number.

- If the specified number is NULL, the result of these functions is NULL.
- If the specified number is equal to a mathematical integer, the result of these functions is the same as the specified number.
- If the specified number is zero (0), the result of these functions is zero.
- If the specified number is less than zero but greater than -1.0, then the result of these functions is zero.

The returned value is the smallest (closest to negative infinity) double floating point value that is greater than or equal to the specified number. The returned value is equal to a mathematical integer. The data type of the returned value is a DOUBLE PRECISION number.

#### Syntax

    CEIL ( number )

    CEILING ( number )

Parent topic: Built-in functions